PSPG(1)

NAME
pspg - PostgreSQL pager

DESCRIPTION
pspg is a Unix pager designed for table browsing.

  Usage:

    pspg [OPTION]

  General options:

--about
    about authors

--help
    show this help

-V, --version
    show version

-f, --file=FILE
    open file

-F, --quit-if-one-screen
    quit if content is one screen

-X  don't use alternate screen

--interactive
    force interactive mode

--ni
    not interactive mode (only for csv and query)

--no-mouse
    don't use own mouse handling

--no-sigint-search-reset
    without reset searching on sigint (CTRL C)

--only-for-tables
    use std pager when content is not table

--on-sigint-exit
    without exit on sigint(CTRL C or Escape)

--rr ROWNUM
    rows reserved for specific purposes

  Output format options:

-a  force ascii

-b  black-white style

-s N
    set color style number (0..20)

--bold-labels
    row, column labels use bold font

--bold-cursor
    cursor use bold font

--border
    type of borders (0..2)

--double-header
    header separator uses double lines

--force-uniborder
    replace ascii borders by unicode borders

--ignore-bad-rows
    rows with wrong column numbers are ignored

--null string
    string used instead NULL

Searching options

-g --hlite-search, -G --HILITE-SEARCH
    don't highlight lines for searches

-i --ignore-case
    ignore case in searches that do not contain uppercase

-I --IGNORE-CASE
    ignore case in all searches

  Interface options:

-c N
    fix N columns (0..9)

--less-status-bar
    status bar like less pager

--line-numbers
    show line number column

--no-bars, --no-commandbar, --no-topbar
    don't show bottom, top bar or both

--no-cursor
    row cursor will be hidden

--no-sound
    don't use beep when scroll is not possible

--tabular-cursor
    cursor is visible only when data has table format

--vertical-cursor
    show vertical column cursor

  Input format options:

--csv
    input stream has csv format

--csv-separator
    char used as field separator

--csv-header [on/off]
    specify header line usage

--tsv
    input stream has tsv format

  Watch mode options:

-q, --query=QUERY
    execute query

-w, --watch time
    the query is repeated every time (sec)

Connection options

-d, --dbname=DBNAME
    database name

-h, --host=HOSTNAME
    database server host (default: "local socket")

-p, --port=PORT
    database server port (default: "5432")

-U, --username=USERNAME
    database user name

-W, --password
    force password prompt

  Debug options:

--log=FILE
    log debug info to file

pspg shares lot of key commands with less pager or vi editor.